//package com.hyc.consumer;
//
//import com.hyc.domain.ConnectionParameter;
//import lombok.extern.slf4j.Slf4j;
//import org.eclipse.paho.client.mqttv3.*;
//import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence;
//import org.springframework.stereotype.Component;
//
///**
// * MQTT消费者
// *
// * @author YouChe·He
// * @ClassName: MQTTConsumer
// * @Description: MQTT消费者
// * @CreateTime: 2024/5/30 19:12
// */
//@Component
//@Slf4j
//public class MQTTConsumer {
//
//    public void parseMessage(ConnectionParameter connectionParameter){
//        int qos = 0;
//
//        try {
//            MqttClient client = null;
//
//            client = new MqttClient(connectionParameter.getBroker(), connectionParameter.getClientid(), new MemoryPersistence());
//
//
//            // 连接参数
//            MqttConnectOptions options = new MqttConnectOptions();
//            if (connectionParameter.getUsername() !=null && !"".equals(connectionParameter.getUsername())){
//                options.setUserName(connectionParameter.getUsername());
//                options.setPassword(connectionParameter.getPassword().toCharArray());
//            }
//
//            options.setConnectionTimeout(60);
//            options.setKeepAliveInterval(60);
//            // 设置回调
//            client.setCallback(new MqttCallback() {
//
//                @Override
//                public void connectionLost(Throwable cause) {
//                    System.out.println("connectionLost: " + cause.getMessage());
//                }
//
//                @Override
//                public void messageArrived(String topic, MqttMessage message) {
//                    System.out.println("topic: " + topic);
//                    System.out.println("Qos: " + message.getQos());
//                    System.out.println("message content: " + new String(message.getPayload()));
//
//                }
//
//                @Override
//                public void deliveryComplete(IMqttDeliveryToken token) {
//                    System.out.println("deliveryComplete---------" + token.isComplete());
//                }
//
//            });
//            client.connect(options);
//            client.subscribe(connectionParameter.getTopic(), qos);
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//    }
//
//}
