//package com.hyc.consumer;
//
//import com.alibaba.fastjson.JSONObject;
//import com.hyc.config.RabbitmqConfig;
//import com.hyc.domain.ConnectionParameter;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//
//import org.springframework.stereotype.Component;
//
///**
// * 断开连接消费者
// *
// * @author YouChe·He
// * @ClassName: ReceiveHandler
// * @Description: 断开连接消费者
// * @CreateTime: 2024/5/27 17:00
// */
//@Component
//@Slf4j
//public class ReceiveHandler {
//
//    @Autowired
//    private MQTTConsumer mqttConsumer;
//
//    @RabbitListener(queues = {RabbitmqConfig.INIT_CONNECT})
//    public void receive_email(Message msg){
//        String messageBody = new String(msg.getBody());
//        ConnectionParameter connectionParameter = getConnectionParameter(messageBody);
//        mqttConsumer.parseMessage(connectionParameter);
//    }
//
//
//    public ConnectionParameter getConnectionParameter(String messageBody){
//
//
//        log.error("链接事件得到的消息:{}",messageBody);
//        JSONObject jsonObject = JSONObject.parseObject(messageBody);
//        String carVin = jsonObject.getString("clientId");
//
//        String[] split = carVin.split("-");
//        String vin = split[0];
//        String broker = split[1];
//        String topic = split[2];
//        log.warn("ConnectionParameter对象的属性 broker:{},vin:{},topic:{}",broker,vin,topic);
//     return new ConnectionParameter(broker,null,null,vin,topic);
//    }
//
//}
